The account group object
Attributes
idstring
Unique identifier for the account group.
createdAtstring
When the object was created, ISO 8601.
updatedAtstring
When the object was last updated, ISO 8601.
userIdstring
Owner of the object. Always the authenticated user.
namestring
Group name.
sortIndexnullable number
Display order.
bucketKeynullable string
System type-bucket key, when this group mirrors a default type.
GET/account-groups
curl https://api.finwiseapp.io/account-groups \-X GET \-H "Authorization: Bearer fw_..." \-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/account-groups', {method: 'GET',headers: {Authorization: 'Bearer fw_...','Content-Type': 'application/json',},})const data = await response.json()
The group object
[{"id": "c1a0c0a0-1b2c-4d5e-8f90-1234567890ab","createdAt": "2026-03-14T09:00:00.000Z","updatedAt": "2026-03-14T09:00:00.000Z","name": "Credit cards","userId": "f472696c-47ac-4873-98cf-2a1069a1cf45","sortIndex": 1,"bucketKey": "creditCard"}]